Page MenuHomeFreeBSD

www/py-django111: Mark as DEPRECATED
ClosedPublic

Authored by kai on Mar 30 2020, 9:20 AM.

Details

Reviewers
None
Group Reviewers
Python
Commits
rP530470: www/py-django111: Mark as DEPRECATED
Summary
Django 1.11 has reached its End-of-Life so mark it as DEPRECATED.  Don't set
an EXPIRATION_DATE yet as various consumers need to be switched to
Django 2.2 beforehand, which will happen in the next weeks/months.

When everything is complete there should be no py-dj22-* ports left and the
Ports tree has a few Python 2.7 packages less because Django 2.2 only
supports Python 3.5 or later.

PR: TBA (there will be a meta bug to track the whole process)
Test Plan

Django 1.11 will be EoL in April 2020 (see https://www.djangoproject.com/download/). The plan is to:

  • Switch all Django 1.11 consumers to Django 2.2
  • Get rid of the py-dj22-* ports
  • Remove Django 1.11 from the Ports tree

Once the 2020Q2 branch is created the project can be started which is listed on https://wiki.freebsd.org/Ports/Django and will be documented over time.

This diff is quite simple and more intended to announce the extensive process that spans over weeks/months. It should also serve as a reference so that one can quickly access the corresponding FreeBSD wiki page from here.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kai created this revision.Mar 30 2020, 9:20 AM
koobs added a subscriber: koobs.Mar 30 2020, 9:35 AM

Thanks @kai

Do you intent to commit this immediately, or later?

What is the current plan for an expiration date?

kai added a comment.Mar 30 2020, 10:03 AM

Thanks @kai

Do you intent to commit this immediately, or later?

My plan is to commit this once the 2020Q2 branch has been created which should be to the end of this week.

What is the current plan for an expiration date?

At the moment I cannot give an exact ETA as there are some Django 1.11 ports that are quite complex, e.g. www/py-horizon or www/seahub.

Hence it would make sense to determine an expiration date once Wave 3 / Assign very complex ports to Django 2.2 is reached (see https://wiki.freebsd.org/Ports/Django#Wave_3_.2F_Assign_very_complex_ports_to_Django_2.2).

I'd like to use an expiration date to end of 2020Q2, e.g. 2020-07-31 but I think, it will be more likely in the mid of 2020Q3, e.g. 2020-09-15 or so.

wen added a subscriber: wen.Apr 2 2020, 6:50 AM
This revision was not accepted when it landed; it landed in state Needs Review.Apr 3 2020, 7:45 AM
This revision was automatically updated to reflect the committed changes.